
ISIS - Bug #2263

cnetnewradii test is not properly removing path from file name in output

2015-06-09 01:27 PM - Jean Backer

Status: Closed   

Priority: Normal   

Assignee: David Miller   

Category: Applications   

Target version: N/A   

Impact: Bug has no impact on functionality of any

Isis applications. Fixing the bug will

improve testing of cnetnewradii

application

Software Version:  

Description

The cnetnewradii appTest called "errors" is using a SED command that assumes that the path of a file name begins with "/usgs".

Since test data areas can be set to other locations, this assumption should not be made.

For an example using SED to remove a path, see

http://intranet.astrogeology.wr.usgs.gov/wiki/index.php/ISIS_Application_Testing_SOP

History

#1 - 2015-06-09 01:29 PM - Jean Backer

- Description updated

#2 - 2015-06-24 09:41 AM - Moses Milazzo

- Status changed from New to Acknowledged

#3 - 2015-06-26 01:55 PM - David Miller

- Assignee set to David Miller

#4 - 2015-06-29 03:58 PM - David Miller

- Status changed from Acknowledged to Assigned

#5 - 2015-06-29 06:52 PM - David Miller

- Status changed from Assigned to In Progress

- Target version set to N/A

- % Done changed from 0 to 50

- Impact updated

Code coverage indicates some types of errors are not tested. A second ticket may be necessary to add these tests.

#6 - 2015-06-30 12:01 PM - David Miller

- Status changed from In Progress to Resolved

#7 - 2015-06-30 12:35 PM - David Miller

- % Done changed from 50 to 90

#8 - 2015-07-22 11:03 AM - Jean Backer

- Status changed from Resolved to Closed
